Apache Tomcat 6.0.53

## org.apache.catalina.loader
Class WebappClassLoader.PrivilegedFindResource

    java.lang.Object
      org.apache.catalina.loader.WebappClassLoader.PrivilegedFindResource

All Implemented Interfaces:
  java.security.PrivilegedAction

Enclosing class:
  WebappClassLoader

Deprecated. Not used

    protected class WebappClassLoader.PrivilegedFindResource

extends java.lang.Object
implements java.security.PrivilegedAction

Field Summary
`protected java.io.File` | `file` Deprecated.
`protected java.lang.String` | `path` Deprecated.

Method Summary
`java.lang.Object` | `run()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### file

    protected java.io.File file

  Deprecated.

### path

    protected java.lang.String path

  Deprecated.

Method Detail

### run

    public java.lang.Object run()

  Deprecated.
  Specified by:
    `run` in interface `java.security.PrivilegedAction`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.